#!/bin/bash
clear
vers=1.0.2
versHTML=102
dat=02.01.2020

echo ''
echo ==============================================
echo ='           'Ubuntu Edition
echo + Willkommen zur Installation
echo + von AutoPicture V$vers vom $dat
echo =
echo ==============================================
echo ''

    pwd > .ich.txt            
    while read line
    do
    ich=$line
    done < .ich.txt
            

rm -rf .ich.txt
mkdir -p $HOME/.HHSW/autopicture
home=$HOME/.HHSW/autopicture/AutoPicture
ini=$HOME/.HHSW/autopicture
echo $vers > $ini/.ver.txt
echo $versHTML > $ini/.versHTML.txt
echo $dat > $ini/.dat.txt
mv -v $ich $ini

echo $home/.LogData > $ini/.log.txt
cd $home
echo $home > $ini/.home.txt
echo
mv AutoPicture.sh $HOME/Schreibtisch
spfadq=$HOME/Bilder/TempPic
spfadz=$HOME/Bilder/Kamera
echo Der Standart Pfad für den Temp. Bilderordner ist: $spfadq
echo Der Standart Pfad für den Ordner wo die Bilder rein sortiert werden ist: $spfadz
echo
echo 'Moechten sie die Standard Pfade benutzen (s)?'
echo 'oder die Benutzerdefinireten Pfade (b)?'

echo ''
read dia
echo ''

case $dia in
    "b")
        echo Gib einen Temp. Ordner an, wo sich die Bilder befinden:
        echo ''
        echo $HOME 
        read line 
        echo $HOME/$line > $ini/.quelle.txt
        echo Gib einen Ordner an, wo die Bilder rein sortiert werden sollen:
        echo ''
        echo $HOME
        read line
        echo $HOME/$line > $ini/.ziel.txt
        mkdir -p $HOME/$line/Ohne_Datum
        echo ''
        ;;
    "s")
        echo Standart Pfade werden angelegt...
        echo $spfadq > $ini/.quelle.txt
        echo $spfadz > $ini/.ziel.txt
        mkdir -p $spfadq
        mkdir -p $spfadz
        mkdir -p $spfadz/Ohne_Datum
        echo ''
        ;;
esac

echo 'Wollen sie die automatische Update Funktion?(j/n)'
	read line
 	case $line in
 		"j")
			echo '1' > $ini/.autoUpdate.txt
		;;
		"n")
			echo '0' > $ini/.autoUpdate.txt
		;;
	esac


ln -s $home ~/Schreibtisch

echo
echo Installiere das Programm ExifTool.
echo Es ist für die Nutzung von AutoPicture notwendig
sudo apt-get install libimage-exiftool-perl perl-doc
echo ''
echo _________________________
echo Installiere befehl rename...
echo _________________________
sleep 1
sudo apt-get install rename
sudo cp -rf $home/AutoPicture_Icon /usr/share/icons

rm -rf $home/install.sh
