#!/bin/sh
clear
zipDatei=AutoPictureUpdateLinux.zip
download=http://wp1037037.server-he.de/jerusoftware/jeru2018/hendrik/images/$zipDatei
entzip=$HOME/$zipDatei
updateOrdner=$HOME/.HHSW/autopicture/.update
cd ~/.HHSW/autopicture

            while read line
            do
            home=$line
            done < .home.txt
            
            while read line
            do
            vers=$line
            done < .ver.txt
            
            while read line
            do
            dat=$line
            done < .dat.txt

            while read line
          	do
          	versHTML=$line
          	done < .versHTML.txt

            while read line
            do
            updateTrueOrFalse=$line
            done < .autoUpdate.txt
           
cd $home
if_schleife(){
  if  [ "$versHTML" != "$htmlGetV" ]
   then
     echo "Es gibt ein neues Update"
     mkdir -p $updateOrdner
     wget $download
     unzip $entzip -d $updateOrdner
     cd $updateOrdner
     ./install_update.sh
     sleep 2
     rm -rf $updateOrdner
     rm -rf $entzip
     cd ~/.HHSW/autopicture
        while read line
        do
        vers=$line
        done < .ver.txt
                    
        while read line
        do
        dat=$line
        done < .dat.txt
else
    echo "AutoPicture ist auf dem neustem Stand"
fi
}

check_for_Update(){

ping_host=www.jerusoftware.de
#cd $home/.update
        if ping -w 1 $ping_host > .null
            then #Wenn Internet an
            clear
                wget www.jerusoftware.de/hendrik/index.php/autopic
                clear
                head -n 151 autopic > grep_a.txt
                rm autopic
                grep -rnwi grep_a.txt -e 'VersionHTML_Ubunt' >> grep_b.txt
                cut -c 26-28 grep_b.txt > version_html.txt

                    while read line
                    do
                    htmlGetV=$line
                    
                    done < version_html.txt

                    echo $htmlGetV Version HTML
                    echo $versHTML Version PC

                rm grep_a.txt
                rm grep_b.txt
                rm version_html.txt
                if_schleife
            else #Wenn nicht
            clear
            echo "|Verbindung zum Server konnte nicht gefunden werden.|"
            echo "|Zur suche nach neuen Updates ist die Verbindung zum|"
            echo "|Server erforderlich!""                               |"
            echo ''
        fi
rm .null
}

start(){
cd $home
echo
echo ==================================================
echo ='             'Ubuntu Edition
echo =
echo + Willkommen bei AutoPicture
echo + Version V$vers vom $dat
echo =
echo + "Geschrieben von Hendrik Heine (HHSW)"
echo =
echo =================================================

pwd
mkdir -p .LogData
echo 
sleep 1
./meta.sh
}

case $updateTrueOrFalse in 
    "1")
        check_for_Update
        start
    ;;
    "0")
        start
    ;;
esac
